%define name libbeagle
%define version 0.3.9
%define release %mkrel 4
%define major 1
%define libname %mklibname beagle %major
%define develname %mklibname -d beagle

Summary: Beagle integration library
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://ftp.gnome.org/pub/GNOME/sources/%name/%{name}-%{version}.tar.bz2
Patch1: libbeagle-0.3.5.1-fix-str-fmt.patch
Patch2: libbeagle-0.3.9-linkage.patch
Patch3: libbeagle-0.3.9-remove-duplicated-file-from-makefile.patch
License: MIT/Apache License
Group: System/Libraries
Url: http://beagle-project.org/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: gtk-doc docbook-dtd412-xml
BuildRequires: glib2-devel
BuildRequires: pygtk2.0-devel

%description
Beagle is an indexing sub-system and search aggregator built on top of
Lucene.Net. It can index your files, mailboxes, your web browsing
behaviour and other things.

This is the shared library used to integrate beagle search in applications.

%package -n %libname
Group: System/Libraries
Summary: Shared library of beagle
%description -n %libname
Beagle is an indexing sub-system and search aggregator built on top of
Lucene.Net. 

%package -n %develname
Group: Development/C
Summary: Development library of beagle
Requires: %libname = %version
Provides: libbeagle-devel = %version-%release
Obsoletes: %mklibname -d beagle 0

%description -n %develname
Beagle is an indexing sub-system and search aggregator built on top of
Lucene.Net. 

%package -n python-beagle
Group: Development/Python
Summary: Python module for writing Beagle extensions
Requires: %libname = %version
Requires: pygtk2.0
%description -n python-beagle
Beagle is an indexing sub-system and search aggregator built on top of
Lucene.Net. 
Install this for python extensions to Beagle.

%prep
%setup -q 
%patch1 -p0
%patch2 -p1
%patch3 -p1
#gw needed by patch 2 and 3
autoreconf -fi

%build
%configure2_5x --enable-gtk-doc
%make

%install
rm -rf %{buildroot}
%makeinstall_std

#gw bug in 0.3.9
%if %_lib != lib
mv %buildroot%_prefix/lib/python%pyver %buildroot%_libdir
%endif

rm -f %buildroot%_libdir/gtk-2.0/*/filesystems/libbeaglechooserhack*a \
      %buildroot%_libdir/%name/*a %buildroot%_libdir/python%pyver/site-packages/*a


%if %mdkversion < 200900
%post -n %{libname} -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%postun -n %{libname} -p /sbin/ldconfig
%endif

%clean
rm -rf %{buildroot}

%files -n %libname
%defattr(-,root,root)
%_libdir/lib*.so.%{major}*

%files -n %develname
%defattr(-,root,root)
%_libdir/lib*.so
%attr(644,root,root) %_libdir/lib*a
%_includedir/libbeagle/
%_libdir/pkgconfig/libbeagle*.pc
%_datadir/gtk-doc/html/beagle/

%files -n python-beagle
%defattr(-,root,root)
%py_platsitedir/*beagle*




%changelog
* Wed Nov 03 2010 Michael Scherer <misc@mandriva.org> 0.3.9-4mdv2011.0
+ Revision: 592733
- rebuild for python 2.7

* Tue Mar 16 2010 Oden Eriksson <oeriksson@mandriva.com> 0.3.9-3mdv2010.1
+ Revision: 520755
- rebuilt for 2010.1

* Wed Aug 12 2009 Christophe Fergeau <cfergeau@mandriva.com> 0.3.9-2mdv2010.0
+ Revision: 415584
- make sure libtool files are replaced when calling autoreconf to avoid
  libtool 1.5/libtool 2.2 mismatches
- remove duplicated header file from Makefile (caused build errors)

* Tue Jan 27 2009 Götz Waschk <waschk@mandriva.org> 0.3.9-1mdv2009.1
+ Revision: 334080
- update build deps
- fix python dir on x86_64
- new version
- drop patch 0
- rediff patch 2
- fix source URL

* Fri Dec 26 2008 Funda Wang <fwang@mandriva.org> 0.3.5.1-4mdv2009.1
+ Revision: 319404
- fix str fmt
- let python module link with libpython
- rebuild for new python

* Wed Dec 03 2008 Götz Waschk <waschk@mandriva.org> 0.3.5.1-3mdv2009.1
+ Revision: 309645
- reduce number of connections (bug #44532)

* Wed Aug 06 2008 Thierry Vignaud <tv@mandriva.org> 0.3.5.1-2mdv2009.0
+ Revision: 264774
- rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Tue Apr 08 2008 Götz Waschk <waschk@mandriva.org> 0.3.5.1-1mdv2009.0
+ Revision: 192417
- new version

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Dec 06 2007 Götz Waschk <waschk@mandriva.org> 0.3.0-3mdv2008.1
+ Revision: 116034
- fix devel provides

* Wed Dec 05 2007 Götz Waschk <waschk@mandriva.org> 0.3.0-2mdv2008.1
+ Revision: 115636
- make the python package installable

* Tue Dec 04 2007 Götz Waschk <waschk@mandriva.org> 0.3.0-1mdv2008.1
+ Revision: 115355
- fix gtk-doc build
- import libbeagle


* Tue Dec  4 2007 Gtz Waschk <waschk@mandriva.org> 0.3.0-1mdv2008.1
- initial package
